This discussion is archived
14 Replies Latest reply: Jul 4, 2013 8:51 AM by Hussein Sawwan-Oracle RSS

NEED Help in installing SEPA patches - Version 5

991813 Newbie
Currently Being Moderated

Hi Team,

 

         Please can you help me with the list of patches for SEPA and its prerequisites.

 

We are planning to use SEPA 5.0 Credit Transfer.

 

Gone through the metalink note R11i / R12: FAQ for Single European Payments (SEPA) [ID 791226.1] and subsequently further notes from there.

 

1) Patch p13510283_11i_GENERIC for SEPA V5

2) Prequisites are as follows,

2864765 - TXK Advanced Utilities Rollup A (October 2004)

3384350 - Patch 11i.SCM_PF.J

3180816 - Patch 11i.AD.I

3882116 - REHOST ORACLE 9iR2 JDBC DRIVERS (v9.2.0.5) FOR USE WITH ORACLE APPLICATIONS 11i

2368042 - Patch 11i.JTA.D (JTA 11.5.7.6)

3262159 - Patch 11i.FND.H

3594604 - TXK AUTOCONFIG TEMPLATE ROLLUP PATCH I (October 2004)

 

select bug_id, Bug_number from apps.ad_bugs where bug_number in ('2864765','3384350','3180816','3882116','2368042','3262159','3594604')

 

"BUG_ID""BUG_NUMBER"
54056"2368042"
129655"2864765"
126300"3262159"
143919"3384350"
72433"3594604"
111580"3882116"

 

We are missing 3180816 - Patch 11i.AD.I  patch in our system. This has been superseded by p7429271_11i_SOLARIS.zip.

We are at the following patch set level,

Applications DBAShared

11i.AD.I.5

 

Thanks a lot for your support, understanding and time.

 

Regards,

Rajasekaran.

  • 2. Re: NEED Help in installing SEPA patches - Version 5
    ;) ApPsMasTi ;) Journeyer
    Currently Being Moderated

    this patch is included

     

    Patchsets known to include or supersede Patch 3180816 

     

     

    Patch                          Description                                          Type 

    5161676          Applications DBA 11i.AD.I.5                                    Mini Pack

    please ppost your ebs release version and db

     

     

    AppsMastI
    sharing is Caring

  • 3. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    We are missing 3180816 - Patch 11i.AD.I  patch in our system. This has been superseded by p7429271_11i_SOLARIS.zip.

    We are at the following patch set level,

    Applications DBA Shared

    11i.AD.I.5

     

    If you are already on 11i.AD.I.5 then you don't have to worry about the missing patch since it's included in the patchset you are on.

     

    Please note it's recommended you apply Patch 11i.AD.I.7 (Patch 7429271) to be on the latest AD patchset level -- Assuming you meet the requirements in (About Oracle Applications DBA Minipack 11i.AD.I [ID 233044.1]).

     

    Thanks,

    Hussein

  • 4. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi,

     

              R11i - 11.5.10.2 and DB-Oracle Database 10g Enterprise Edition Release 10.1.0.4.0 - 64bi

     

    Thanks and Regards,

    Rajasekaran.

  • 5. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi Hussein,

     

          Then can we safely go ahead with SEPA patch with the current level of patching(5161676).

     

    Thanks and Regards,

    Rajasekaran.

  • 6. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    991813 wrote:

     

    Hi Hussein,

     

          Then can we safely go ahead with SEPA patch with the current level of patching(5161676).

     

    Thanks and Regards,

    Rajasekaran.

     

    Yes.

     

    Thanks,

    Hussein

  • 7. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi Hussein,

     

             Thanks a lot for taking me through this.

     

    In the pre-requisite patch for SEPA patch, we have a readme file, like "README-Config-JDK.html" , with text "Oracle Applications 11i and JDK 1.3 Readme".

     

    there were several "jserv.properties" in unixbox found through "find". I took all of them and analysed.

     

    Following were the line beginning with the text wrapper.bin=. found from those files.

     

    First file from location /opt/oracle/product/9.2.0/Apache/Jserv/etc/jserv.properties

     

     

    # $Header: jserv_ux_ias1022.properties 115.90 2007/06/18 12:21:35 skocherl ship $

    ###############################################################################

    #    JServ Configuration File for Oracle HTTP Server (powered by Apache)      #

    ###############################################################################

     

     

    wrapper.bin=%s_weboh_oh%/Apache/Apache/bin/java.sh

     

     

     

     

     

     

    Second file from location /opt/gfsd/gfsdora/iAS/appsutil/template/Apache/Jserv/etc/jserv.properties

    ###############################################################################

    #      Apache JServ Configuration File                      #

    ###############################################################################

    wrapper.bin=/opt/oracle/product/9.2.0/jdk/bin/java

     

     

    Please help me to find with what JDK version is Oracle apps 11i running?

     

    Thanks and Regards,

    Rajasekaran.

  • 8. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    Please help me to find with what JDK version is Oracle apps 11i running?

     

    Script to find Apache, Java, Jinitiator, Forms version and JVM details for Oracle E-Business Suite 11i [ID 466890.1]

    Overview of Using Java with Oracle E-Business Suite Release 11i [ID 300482.1]

     

    Thanks,

    Hussein

  • 9. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi Hussein,

     

            Following was the output from the script in 466890.1,

     

    Script Started

    Wed Jul  3 10:45:35 SGT 2013

     

    *****Apache Version*****

    Server version: Oracle HTTP Server Powered by Apache/1.3.19 (Unix)

    Server built:   Jan 26 2005 11:06:44 (iAS 1.0.2.2.2 rollup 5)

     

    ******Java Version******

    sh: /opt/gfsd/gfsdcomn/util/jre/1.1.8/jre/bin/java: not found

     

    *****No of JVM & Heap size set for OACoreGroup,FormsGroup,DiscoGroup and XmlSvcs Group****

    ApJServGroup OACoreGroup 1

    wrapper.bin.parameters=-verbose:gc -Xmx512M -Xms128M -XX:MaxPermSize=128M -XX:NewRatio=2 -XX:+PrintGCTimeStamps -XX:+UseTLAB

     

    #ApJServGroup FormsGroup  1

    wrapper.bin.parameters=-Xmx256M -Xms128M -XX:MaxPermSize=128M -XX:NewSize=60M -XX:MaxNewSize=120M

     

    ApJServGroup DiscoGroup  1

    wrapper.bin.parameters=-verbose:gc -Xmx512M -Xms128M -XX:MaxPermSize=128M -XX:NewRatio=2 -XX:+PrintGCTimeStamps -XX:+UseTLAB

     

    ApJServGroup XmlSvcsGrp  1

    wrapper.bin.parameters=-verbose:gc -Xmx512M -Xms128M -XX:MaxPermSize=128M -XX:NewRatio=2 -XX:+PrintGCTimeStamps -XX:+UseTLAB

     

    ****Java Object Cache Value*****

    wrapper.bin.parameters=-DLONG_RUNNING_JVM=true

     

    *****Jinitiator version*****

    cat: cannot open /opt/gfsd/gfsdcomn/html/bin/appsweb_GFSD_gfsmrdev2db1.cfg

     

    *****Forms Version*****

    Forms 6.0 (Form Compiler) Version 6.0.8.25.2 (Production)

     

    ****Forms Communication Mode****

    cat: cannot open /opt/gfsd/gfsdcomn/html/bin/appsweb_GFSD_gfsmrdev2db1.cfg

    If the serverURL parameter has no value then Forms is implemented in socket mode else it is servlet

     

    *****perl version******

    This is perl, version 5.005_03 built for sun4-solaris

     

    ****PL/SQL Version****

    PL/SQL Version 8.0.6.3.0 (Production)

     

    Script Completed Successfully and it has generated the file  gfsmrdev2db1_070313.1045.txt file in current directory

     

    Thanks and Regards,

    Rajasekaran.

  • 10. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    Please see the other docs mentioned in the second doc referenced in my previous reply ("Verify Configurations on all Application Tier Nodes" section") for the other 2 ways to determine JDK/Java version.

     

    Thanks,

    Hussein

  • 11. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi Hussein,

     

     

     

    1)From the note 246105.1 performed the following and called the URL https://gfs2devweb1.fin.psa:8443/OA_HTML/J2SEtest.jsp

     

    =============================================================================================

    To create a simple J2SE test page (without logging into the Oracle E-Business Suite database), proceed with the follows:

     

     

    Change to the OA_HTML directory on the HTTP server.

    Using a text editor, create a file called J2SEtest.jsp with the following lines:

    The J2SE version is:<%= System.getProperty("java.version") %>

    <p> </p>

    The class path is:<%= System.getProperty("java.class.path") %>

    =============================================================================================

     

     

     

    GOT THE FOLLOWING OUTPUT,

     

     

     

    The J2SE version is:1.4.2_19

     

     

    The class path is:/opt/gfsd/gfsdora/iAS/Apache/Jserv/libexec/ApacheJServ.jar:/opt/gfsd/gfsdora/iAS/Apache/Jsdk/lib/jsdk.jar:/opt/gfsd/gfsdora/iAS/jsp/lib/ojsp.jar:/opt/gfsd/gfsdora/iAS/jsp/lib/ojsputil.jar:/opt/gfsd/gfsdora/iAS/lib/servlet.jar:/opt/gfsd/gfsdcomn/java/ojdigsig.zip:/opt/gfsd/gfsdcomn/java/sax2.zip:/opt/gfsd/gfsdcomn/java/xmlparserv2-904.zip:/opt/gfsd/gfsdcomn/java/xdoparser.zip:/opt/gfsd/gfsdora/iAS/sqlj/lib/translator.zip:/opt/gfsd/gfsdcomn/java/jbojdbcpatch.zip:/opt/gfsd/gfsdcomn/java/jdbc14.zip:/opt/gfsd/gfsdcomn/java/nls_charset12.zip:/opt/gfsd/gfsdcomn/java/apps.zip:/opt/gfsd/gfsdcomn/java:/opt/gfsd/gfsdcomn/java/cache.zip:/opt/gfsd/j2sdk1.4.2_19//lib/dt.jar:/opt/gfsd/j2sdk1.4.2_19//lib/tools.jar:/opt/gfsd/j2sdk1.4.2_19//jre/lib/rt.jar:/opt/gfsd/j2sdk1.4.2_19//jre/lib/charsets.jar:/opt/gfsd/gfsdora/iAS/jlib/jssl-1_1.jar:/opt/gfsd/gfsdora/iAS/jlib/javax-ssl-1_1.jar:/opt/gfsd/gfsdora/iAS/rdbms/jlib/aqapi.jar:/opt/gfsd/gfsdora/8.0.6/forms60/java:/opt/gfsd/gfsdora/iAS/rdbms/jlib/jmscommon.jar:/opt/gfsd/gfsdora/iAS/Apache/Jserv/libexec/dms2Server.jar:/opt/gfsd/gfsdora/iAS/lib/oraclexsql.jar:/opt/gfsd/gfsdora/iAS/rdbms/jlib/xsu12.jar:/opt/gfsd/gfsdora/iAS/xdk/lib:/opt/gfsd/gfsdcomn/java/fndoam.zip:/opt/gfsd/gfsdappl/bne/11.5.0/conf:/opt/gfsd/gfsdora/iAS/mp/jlib/opreapi-rt.jar:/opt/gfsd/gfsdora/iAS/mp/jlib/dmtutil.jar:/opt/gfsd/gfsdora/iAS/dm/lib/odmapi.jar:/opt/gfsd/gfsdcomn/java/owa.zip:/opt/gfsd/gfsdora/8.0.6/forms60/java/f60srv.jar:/opt/gfsd/gfsdora/iAS/lib/http_client.jar:/opt/gfsd/gfsdora/iAS/lib/wwcache.jar:/opt/gfsd/gfsdora/iAS/portal30/jpdk/lib/provider.jar:/opt/gfsd/gfsdora/iAS/portal30/jpdk/lib/partnerApp.jar:/opt/gfsd/gfsdora/iAS/mapviewer/lib/sdoapi101.jar:/opt/gfsd/gfsdora/iAS/mapviewer/lib/sdovis.jar:/opt/gfsd/gfsdora/iAS/mapviewer/lib/mapviewer118.jar:/opt/gfsd/gfsdora/8.0.6/vbroker/lib/vbjorb.jar:/opt/gfsd/gfsdora/8.0.6/vbroker/lib/vbjapp.jar:/opt/gfsd/gfsdora/iAS/Apache/Apache/htdocs/disco4iv/disco4res.jar:/opt/gfsd/gfsdora/iAS/soap/webapps/soap/WEB-INF/lib/soap.jar:/opt/gfsd/gfsdora/iAS/Apache/Jserv/servlets

     

     

     

    2) Again calling URL , https://gfs2devweb1.fin.psa:8443/OA_HTML/jsp/fnd/aolj_native_conn_test.jsp

     

     

     

    GOT THE FOLLOWING OUTPUT,

     

    Connection test results:

     

     

    Connect String: jdbc:oracle:thin:apps/*****@gfsmrdev2db1:1551:GFSD

     

     

    Successfully obtained a jdbc connection: oracle.jdbc.driver.OracleConnection@51acd5

    Current Database Session ID : 415

    JDBC driver version: 9.2.0.8.0 -- Warning!! You should use at least JDBC Drivers version 9.2.0.5. Please check metalink note#164317.1 for information on how to upgrade your JDBC drivers.

     

     

    Testing Result:

    Java Version Number:

    1.4.2_19

     

     

    Classpath:

     

     

    NOTE: This test gets the classpath from the system variables and analyzes that each entry in it is readable and that it indeed exists. If you have entries in red, that does not mean that the application is broken since the entry might only exist for backwards compatibility and not necesarilly imply an error condition.

    /opt/gfsd/gfsdora/iAS/Apache/Jserv/libexec/ApacheJServ.jar

    /opt/gfsd/gfsdora/iAS/Apache/Jsdk/lib/jsdk.jar

    /opt/gfsd/gfsdora/iAS/jsp/lib/ojsp.jar

    /opt/gfsd/gfsdora/iAS/jsp/lib/ojsputil.jar

    /opt/gfsd/gfsdora/iAS/lib/servlet.jar

    /opt/gfsd/gfsdcomn/java/ojdigsig.zip

    /opt/gfsd/gfsdcomn/java/sax2.zip

    /opt/gfsd/gfsdcomn/java/xmlparserv2-904.zip

    /opt/gfsd/gfsdcomn/java/xdoparser.zip

    /opt/gfsd/gfsdora/iAS/sqlj/lib/translator.zip

    /opt/gfsd/gfsdcomn/java/jbojdbcpatch.zip

    /opt/gfsd/gfsdcomn/java/jdbc14.zip

    /opt/gfsd/gfsdcomn/java/nls_charset12.zip

     

     

    NOTE: Below, Apps.zip might be reported in red as missing, but please disregard this message if you already implemented the steps documented in metalink note#220188.1. Only consider this message as valid if apps.zip is missing and you did not implemented the mentioned note or if your applications version is 11.5.9 or above.

     

     

    Missing /opt/gfsd/gfsdcomn/java/apps.zip

    /opt/gfsd/gfsdcomn/java

    /opt/gfsd/gfsdcomn/java/cache.zip

    /opt/gfsd/j2sdk1.4.2_19//lib/dt.jar

    /opt/gfsd/j2sdk1.4.2_19//lib/tools.jar

    /opt/gfsd/j2sdk1.4.2_19//jre/lib/rt.jar

    /opt/gfsd/j2sdk1.4.2_19//jre/lib/charsets.jar

    /opt/gfsd/gfsdora/iAS/jlib/jssl-1_1.jar

    /opt/gfsd/gfsdora/iAS/jlib/javax-ssl-1_1.jar

    /opt/gfsd/gfsdora/iAS/rdbms/jlib/aqapi.jar

    /opt/gfsd/gfsdora/8.0.6/forms60/java

    /opt/gfsd/gfsdora/iAS/rdbms/jlib/jmscommon.jar

    /opt/gfsd/gfsdora/iAS/Apache/Jserv/libexec/dms2Server.jar

    /opt/gfsd/gfsdora/iAS/lib/oraclexsql.jar

    /opt/gfsd/gfsdora/iAS/rdbms/jlib/xsu12.jar

    /opt/gfsd/gfsdora/iAS/xdk/lib

    /opt/gfsd/gfsdcomn/java/fndoam.zip

    /opt/gfsd/gfsdappl/bne/11.5.0/conf

    /opt/gfsd/gfsdora/iAS/mp/jlib/opreapi-rt.jar

    /opt/gfsd/gfsdora/iAS/mp/jlib/dmtutil.jar

    /opt/gfsd/gfsdora/iAS/dm/lib/odmapi.jar

    /opt/gfsd/gfsdcomn/java/owa.zip

    /opt/gfsd/gfsdora/8.0.6/forms60/java/f60srv.jar

    /opt/gfsd/gfsdora/iAS/lib/http_client.jar

    /opt/gfsd/gfsdora/iAS/lib/wwcache.jar

    /opt/gfsd/gfsdora/iAS/portal30/jpdk/lib/provider.jar

    Missing /opt/gfsd/gfsdora/iAS/portal30/jpdk/lib/partnerApp.jar

    /opt/gfsd/gfsdora/iAS/mapviewer/lib/sdoapi101.jar

    /opt/gfsd/gfsdora/iAS/mapviewer/lib/sdovis.jar

    /opt/gfsd/gfsdora/iAS/mapviewer/lib/mapviewer118.jar

    /opt/gfsd/gfsdora/8.0.6/vbroker/lib/vbjorb.jar

    /opt/gfsd/gfsdora/8.0.6/vbroker/lib/vbjapp.jar

    /opt/gfsd/gfsdora/iAS/Apache/Apache/htdocs/disco4iv/disco4res.jar

    /opt/gfsd/gfsdora/iAS/soap/webapps/soap/WEB-INF/lib/soap.jar

    /opt/gfsd/gfsdora/iAS/Apache/Jserv/servlets

     

     

     

     

    =>Try pinging the database with the connection...

     

     

     

    DATABASE_ID gfsmrdev2db1_gfsd

    AOL_VERSION 11.5.0

    SYSDATE 03-JUL-2013 12:21:19

    DATABASE_VERSION Oracle Database 10g Enterprise Edition Release 10.1.0.4.0 - 64bi

    SCHEMA_NAME APPS

     

     

     

    PLEASE HELP TO VALIDATE THE OUTPUT AND CAN WE GO AHEAD WITH THE SEPA PATCHING WITH THIS JDK VERSION.

     

     

     

    Thanks and Regards,

    Rajasekaran.

  • 12. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    The above indicates that you are on Java 1.4.2_19

     

    Thanks,

    Hussein

  • 13. Re: NEED Help in installing SEPA patches - Version 5
    991813 Newbie
    Currently Being Moderated

    Hi Hussein,

     

     

           Studied all the pre-requisite patch requirements for SEPA patches.

     

     

    One of them was 5612820. On applying this patch, we ran across the following issue on one worker.

    ===================================================================================

     

    Parameters passed to XDOLoader...

    [XDO_FILE_TYPE] [RTF]

    [JDBC_CONNECTION] [(DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=gfsmrdev2db1.fin.psa)(PORT=1551))(CONNECT_DATA=(SID=GFSD)))]

    [LOB_CODE] [BURST_STATUS_REPORT]

    [TRANSLATE] [Y]

    [DB_USERNAME] [APPS]

    [LOB_TYPE] [TEMPLATE_SOURCE]

    [UPLOAD] [UPLOAD]

    [FILE_NAME] [/opt/gfsd/gfsdappl/xdo/11.5.0/patch/115/publisher/templates/US/BurstingStatusReport.rtf]

    [DB_PASSWORD] [******]

    [LANGUAGE] [en]

    [APPS_SHORT_NAME] [XDO]

    [TERRITORY] [US]

     

    Start uploading...

    Target file: BurstingStatusReport.rtf

    Updating the record in XDO_LOBS: BurstingStatusReport.rtf

    java.lang.NoClassDefFoundError: java/sql/Blob

    at oracle.jdbc.driver.OracleStatement.get_blob_value(OracleStatement.java:6392)

    at oracle.jdbc.driver.OracleStatement.getBLOBValue(OracleStatement.java:4378)

    at oracle.jdbc.driver.OracleResultSetImpl.getBLOB(OracleResultSetImpl.java:1005)

    at oracle.apps.xdo.oa.schema.server.LobHelper.updateLob(LobHelper.java:120)

    at oracle.apps.xdo.oa.schema.server.LobHelper.updateLob(LobHelper.java:289)

    at oracle.apps.xdo.oa.schema.server.LobHelper.createLob(LobHelper.java:771)

    at oracle.apps.xdo.oa.schema.server.LobHelper.createLob(LobHelper.java:725)

    at oracle.apps.xdo.oa.util.XDOLoader.processUpload(XDOLoader.java:1272)

    at oracle.apps.xdo.oa.util.XDOLoader.process(XDOLoader.java:1002)

    at oracle.apps.xdo.oa.util.XDOLoader.main(XDOLoader.java:2245)

    Exception in thread "main"

    AD Run Java Command is complete.

    ===================================================================================

     

     

    Please can you bail us out.

     

     

    Thanks and Regards,

    Rajasekaran.

  • 14. Re: NEED Help in installing SEPA patches - Version 5
    Hussein Sawwan-Oracle Employee ACE
    Currently Being Moderated

    Please see if the following docs help.

     

    Java.Lang.Noclassdeffounderror: Java/Sql/Blob [ID 372245.1]

    Patch 3438354 Fails On Ecxutils.jar With Java/Sql/Blob Error [ID 311545.1]

    Applying FND patchset D (1932070) Fails With java.lang.NoClassDefFoundError: java/sql/Blob Error [ID 170651.1]

     

    Thanks,

    Hussein

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points